Summary:	Morse Code Training Software
Name:		cutecw
Version:	1.0
Release:	%mkrel 4
License:	GPLv2
Group:		Communications/Radio
URL:		http://www.hamtools.org/%{name}/
Source:		http://www.hamtools.org/%{name}/releases/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
# Uses the PREFIX variable instead of assuming /usr or /usr/local
# upstream has applied this in the git repo
Patch1:		%{name}-paths.patch

BuildRequires:	qt4-devel
BuildRequires:	desktop-file-utils

%description
Most Morse code training requires you to learn everything at once
without a training process. This application changes that and
separates training into phases.
The term 'CW' is often incorrectly used to refer to Morse code.
In reality it is the carrier wave mode, commonly used to transmit Morse code. 

%prep
%setup -q 

%patch1 -p1 -b.paths

%build
qmake PREFIX=%{buildroot}%{_usr}
%make

%install
%makeinstall_std

%{__mkdir_p} %{buildroot}%{_iconsdir}/hicolor/scalable/apps/
%{__cp} icons/%{name}.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/

desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

%files 
%doc LICENSE README.org
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/*/apps/*.svg
%{_datadir}/applications/%{name}.desktop


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.0-4.mga3
+ Revision: 348506
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 28 2012 barjac <barjac> 1.0-3.mga3
+ Revision: 299027
- Change group to new policy

* Sun Aug 26 2012 barjac <barjac> 1.0-2.mga3
+ Revision: 284134
- Rebuild against new tools, pulseaudio etc. for mga3

* Sat Jan 07 2012 barjac <barjac> 1.0-1.mga2
+ Revision: 192951
- Cleaned with Summary and Description edits
- Desktop file updated
- imported package cutecw

